NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.ViewDependentDisplayManager Class Reference

Represents all view dependent display operations More...

Inheritance diagram for NXOpen.ViewDependentDisplayManager:

Public Types

enum  Font {
  Invisible, Solid, Dashed, Phantom,
  Centerline, Dotted, LongDashed, DottedDashed,
  Object
}
 specifies the font for wireframe edits More...
 
enum  Width {
  Normal, Thick, Thin, Object,
  One = 5, Two, Three, Four,
  Five, Six, Seven, Eight,
  Nine
}
 specifies the width for wireframe edits More...
 
enum  PartialShading { NoChange, Original, No, Yes }
 specifies the partial shading options for shading edits More...
 
enum  Translucency { NoChange, Original, Yes }
 specifies the translucency options for shading edits More...
 

Public Member Functions

unsafe void ApplyShadeEdit (NXOpen.NXColor shadeColor, NXOpen.ViewDependentDisplayManager.PartialShading partialShading, NXOpen.ViewDependentDisplayManager.Translucency translucencyOption, int translucencyScale, NXOpen.DisplayableObject[] objects)
 Applies a shading edit to specified faces and/or bodies in a view. More...
 
unsafe void ApplyShadeEdit (NXOpen.ViewDependentDisplayManager.PartialShading partialShading, NXOpen.ViewDependentDisplayManager.Translucency translucencyOption, int translucencyScale, NXOpen.DisplayableObject[] objects)
 Applies a shading edit to specified faces and/or bodies in a view when shade color is original color More...
 
unsafe void ApplyWireframeEdit (NXOpen.NXColor color, NXOpen.ViewDependentDisplayManager.Font font, NXOpen.ViewDependentDisplayManager.Width width, NXOpen.DisplayableObject[] objects)
 Applies a wireframe edit to specified objects in a view. More...
 
unsafe void ApplyWireframeEdit (NXOpen.ViewDependentDisplayManager.Font font, NXOpen.ViewDependentDisplayManager.Width width, NXOpen.DisplayableObject[] objects)
 Applies a wireframe edit to specified objects in a view when the color is the original color More...
 
unsafe void ApplySegmentEdit (NXOpen.DisplayableObject @object, NXOpen.NXColor color, NXOpen.ViewDependentDisplayManager.Font font, NXOpen.ViewDependentDisplayManager.Width width, double[] segmentStart, double[] segmentEnd)
 Applies a wireframe edit to specified objects in a view. More...
 
unsafe void ApplySegmentEdit (NXOpen.DisplayableObject @object, NXOpen.ViewDependentDisplayManager.Font font, NXOpen.ViewDependentDisplayManager.Width width, double[] segmentStart, double[] segmentEnd)
 Applies a wireframe edit to specified objects in a view when the color is the original color More...
 
unsafe void Erase (NXOpen.DisplayableObject[] objects)
 Erases specified objects in a view. More...
 
unsafe void RemoveErasure (NXOpen.DisplayableObject[] objects)
 Removes erasures from specified objects in a view. More...
 
unsafe void RemoveErasureOnObjectAndSubobjects (NXOpen.DisplayableObject[] objects, bool removeFromSubObjects)
 Removes erasures from specified objects and optional subobjects in a view. More...
 
unsafe void RemoveEdit (NXOpen.DisplayableObject[] objects)
 Removes edits from specified objects in a view. More...
 
unsafe void RemoveAllEdits ()
 Removes all edits and erasures from all objects in a view. More...
 
unsafe void MoveToModel (NXOpen.DisplayableObject[] objects)
 Moves view objects to model. More...
 
unsafe void MoveToView (NXOpen.DisplayableObject[] objects)
 Moves model objects to view. More...
 
unsafe void SetBackground (NXOpen.DisplayableObject[] objects)
 Sets visibility of background objects. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents all view dependent display operations

To obtain an instance of this class, refer to NXOpen.View

Created in NX5.0.0

Member Enumeration Documentation

specifies the font for wireframe edits

Enumerator
Invisible 
Solid 
Dashed 
Phantom 
Centerline 
Dotted 
LongDashed 
DottedDashed 
Object 

specifies the partial shading options for shading edits

Enumerator
NoChange 
Original 
No 
Yes 

specifies the translucency options for shading edits

Enumerator
NoChange 
Original 
Yes 

specifies the width for wireframe edits

Enumerator
Normal 
Thick 
Thin 
Object 
One 
Two 
Three 
Four 
Five 
Six 
Seven 
Eight 
Nine 

Member Function Documentation

unsafe void NXOpen.ViewDependentDisplayManager.ApplySegmentEdit ( NXOpen.DisplayableObject object,
NXOpen.NXColor  color,
NXOpen.ViewDependentDisplayManager.Font  font,
NXOpen.ViewDependentDisplayManager.Width  width,
double[]  segmentStart,
double[]  segmentEnd 
)

Applies a wireframe edit to specified objects in a view.

Created in NX5.0.0

License requirements: None.

Parameters
object
color
font
width
segmentStartThe length of the segment_start and segment_end arrays must match.
segmentEndThe length of the segment_start and segment_end arrays must match.
unsafe void NXOpen.ViewDependentDisplayManager.ApplySegmentEdit ( NXOpen.DisplayableObject object,
NXOpen.ViewDependentDisplayManager.Font  font,
NXOpen.ViewDependentDisplayManager.Width  width,
double[]  segmentStart,
double[]  segmentEnd 
)

Applies a wireframe edit to specified objects in a view when the color is the original color

Created in NX6.0.3

License requirements: None.

Parameters
object
font
width
segmentStartThe length of the segment_start and segment_end arrays must match.
segmentEndThe length of the segment_start and segment_end arrays must match.
unsafe void NXOpen.ViewDependentDisplayManager.ApplyShadeEdit ( NXOpen.NXColor  shadeColor,
NXOpen.ViewDependentDisplayManager.PartialShading  partialShading,
NXOpen.ViewDependentDisplayManager.Translucency  translucencyOption,
int  translucencyScale,
NXOpen.DisplayableObject[]  objects 
)

Applies a shading edit to specified faces and/or bodies in a view.

Created in NX5.0.0

License requirements: None.

Parameters
shadeColor
partialShading
translucencyOption
translucencyScalenew translucency value in the range 0 to 100
objects
unsafe void NXOpen.ViewDependentDisplayManager.ApplyShadeEdit ( NXOpen.ViewDependentDisplayManager.PartialShading  partialShading,
NXOpen.ViewDependentDisplayManager.Translucency  translucencyOption,
int  translucencyScale,
NXOpen.DisplayableObject[]  objects 
)

Applies a shading edit to specified faces and/or bodies in a view when shade color is original color

Created in NX6.0.3

License requirements: None.

Parameters
partialShading
translucencyOption
translucencyScalenew translucency value in the range 0 to 100
objects
unsafe void NXOpen.ViewDependentDisplayManager.ApplyWireframeEdit ( NXOpen.NXColor  color,
NXOpen.ViewDependentDisplayManager.Font  font,
NXOpen.ViewDependentDisplayManager.Width  width,
NXOpen.DisplayableObject[]  objects 
)

Applies a wireframe edit to specified objects in a view.

Created in NX5.0.0

License requirements: None.

Parameters
color
font
width
objects
unsafe void NXOpen.ViewDependentDisplayManager.ApplyWireframeEdit ( NXOpen.ViewDependentDisplayManager.Font  font,
NXOpen.ViewDependentDisplayManager.Width  width,
NXOpen.DisplayableObject[]  objects 
)

Applies a wireframe edit to specified objects in a view when the color is the original color

Created in NX6.0.3

License requirements: None.

Parameters
font
width
objects
unsafe void NXOpen.ViewDependentDisplayManager.Erase ( NXOpen.DisplayableObject[]  objects)

Erases specified objects in a view.

Created in NX5.0.0

License requirements: None.

Parameters
objects
unsafe void NXOpen.ViewDependentDisplayManager.MoveToModel ( NXOpen.DisplayableObject[]  objects)

Moves view objects to model.

Created in NX5.0.0

License requirements: None.

Parameters
objects
unsafe void NXOpen.ViewDependentDisplayManager.MoveToView ( NXOpen.DisplayableObject[]  objects)

Moves model objects to view.

Created in NX5.0.0

License requirements: None.

Parameters
objects
unsafe void NXOpen.ViewDependentDisplayManager.RemoveAllEdits ( )

Removes all edits and erasures from all objects in a view.

Created in NX5.0.0

License requirements: None.

unsafe void NXOpen.ViewDependentDisplayManager.RemoveEdit ( NXOpen.DisplayableObject[]  objects)

Removes edits from specified objects in a view.

Created in NX5.0.0

License requirements: None.

Parameters
objects
unsafe void NXOpen.ViewDependentDisplayManager.RemoveErasure ( NXOpen.DisplayableObject[]  objects)

Removes erasures from specified objects in a view.

Created in NX5.0.0

Deprecated in NX11.0.0. Use NXOpen.ViewDependentDisplayManager.RemoveErasureOnObjectAndSubobjects instead.

License requirements: None.

Parameters
objects
unsafe void NXOpen.ViewDependentDisplayManager.RemoveErasureOnObjectAndSubobjects ( NXOpen.DisplayableObject[]  objects,
bool  removeFromSubObjects 
)

Removes erasures from specified objects and optional subobjects in a view.

Created in NX11.0.0

License requirements: None.

Parameters
objects
removeFromSubObjects
unsafe void NXOpen.ViewDependentDisplayManager.SetBackground ( NXOpen.DisplayableObject[]  objects)

Sets visibility of background objects.

Created in NX5.0.0

License requirements: None.

Parameters
objects

Property Documentation

Tag NXOpen.ViewDependentDisplayManager.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.